%%textdomain fatdoghelp
![ ](fatdog64.png)
# Boot Options

# Advanced Parameters

%%nopot yes
[savefile](boot-options-savefile.md) - [key](boot-options-key.md) - [net](boot-options-net.md) base

## basesfs
 
%%nopot no
This parameter tells Fatdog64 where to find the basesfs file (fd64-600.sfs).

It can be specified in three different ways:

		basesfs=location
This instructs Fatdog64 to load the basesfs from the specified **location**

		basesfs=none 
This instructs Fatdog64 not to use any basesfs at at all.

Booting with no basesfs will run a console-only minimal system based on busybox (bulldog).


		basesfs=ask 
This instructs Fatdog64 to ask for the basesfs during boot time.

At boot time, you can either specify **none** or **location**.

---

For details on **location**, please refer to the **savefile here**.

They are identical.

%%nopot yes
## base2ram=yes 

%%nopot no
This instructs Fatdog to load the basesfs into RAM.

By default, basesfs is contained within the initrd itself ("humongous initrd and is automatically to loaded to RAM; but if you use external basesfs, they are not, except when this parameter is used.

%%nopot yes
## base2ram=expand 

%%nopot no
This instructs Fatdog to uncompress the basesfs into RAM.

This will work whether the basesfs is internal (in initrd) or external. Since it uses RAM to keep the uncompressed version of the basesfs, using this option implies base2ram=yes.

%%nopot yes
## withlvm 

%%nopot no
This tells Fatdog to enable its LVM support.

When LVM is enabled, Fatdog64 will recognise LVM partitions and can load savefile / basesfs from these partitions.

%%nopot yes
## withmdadm 
 
%%nopot no
This tells Fatdog to enable its mdadm (Linux software RAID) support.

When mdadm is enabled, Fatdog64 will recognise mdadm partitions and can load savefile / basesfs from these partitions.

Note: mdadm is for **Linux software RAID**, *not for FakeRAID*. At the time of writing FakeRAID is not supported at boot time, although they can be accessed after boot by installing the **dmraid** package.

---

%%nopot yes
[savefile](boot-options-savefile.md) - [key](boot-options-key.md) - [net](boot-options-net.md) base

%%nopot no

---

[Advanced and Troubleshooting Parameters](boot-options-trouble.md)
