%%textdomain fatdoghelp
![ ](fatdog64.png)
# Touchpad problems?

To change the behavior of the Synaptics/Alps touch pad, use Control Panel - Desktop - Adjust Touch Pad.
If Adjust Touch Pad errors when you launch it, your touch pad is probably not supported yet.
For Dell 13z and others there is another touch pad driver included.

To use it, open the Control Panel and click on the System tab.

Then click on Manage Servers and Services, and then Dell-psmouse.
Click Start to start using this driver now and Enable to use this driver at every boot.

Then restart the X server.

If Control Panel - Desktop - Adjust Touch Pad doesn't offer the option you want to adjust, you can do it manually by editing /usr/X11R7/lib64/X11/xorg.conf.d/50-synaptics.conf.

By default that file contains this:

		Section "InputClass"
		Identifier "touchpad catchall"
		Driver "synaptics"
		MatchIsTouchpad "on"
		MatchDevicePath "/dev/input/event*"
		Option "TapButton1" "1"
		Option "TapButton2" "2"
		Option "TapButton3" "3"
		Option "MaxTapTime" "0"
		EndSection

After editing this file **you must restart the X server** for changes to take effect.

## Options

Here's a couple popular options to adjust:

%%nopot yes
### MaxTapTime

%%nopot no
		Option "MaxTapTime" "0"
This option sets the touch to tap behavior.

Setting this to 0 disables touch to tap (which is the default).

If you want touch to tap on, change this to 125 to start with and adjust as needed.

%%nopot yes
### AccelFactor

%%nopot no
		Option "AccelFactor" "0.030"
This option sets how fast the mouse moves as you drag your finger across the pad.

A smaller number is slower, a bigger number is faster.

---

## tap-to-click

By default "tap-to-click" is disabled as some touchpads are overly sensitive, making the system impossible to use if it is left on.

To turn it back on:

**1.** Open **Adjust Touchpad** control from within **Control Panel** (under Desktop tab)

**2.** Go to the "tapping" tab

**3.** Use the "One Finger" pull down menu to select "left button".

**4.** Then click save and quit.

## Vertical Scrolling

Open **Adjust Touchpad as above**, then go to "Scrolling" tab and check "Vertical Edge Scroll" and uncheck all the others.

---

If you need other configuration options take a look at the man page for [Synaptics](http://www.x.org/archive/X11R7.5/doc/man/man4/synaptics.4.html).
